apiVersion: apps/v1
kind: Deployment
metadata:
  name: drone-server
  namespace: drone
spec:
  replicas: 1
  selector:
    matchLabels:
      name: drone-server
  template:
    metadata:
      labels:
        name: drone-server
    spec:
      containers:
        - name: drone-server
          image: drone/drone:2
          imagePullPolicy: Always
          env:
            - name: "DRONE_GITEA_CLIENT_ID"
              value: "82775166-0721-4bf2-99cc-45cebce3abc1"
            - name: "DRONE_GITEA_CLIENT_SECRET"
              value: "gto_j73kaifymtnkgr2wof4zlfhq2yamwsh7l45rllnqpxc7lq4ydgeq"
            - name: "DRONE_GITEA_SERVER"
              value: "https://git.beatrice.wtf"
            - name: "DRONE_GIT_ALWAYS_AUTH"
              value: "false"
            - name: "DRONE_RPC_SECRET"
              value: "H8ndv3um34VWcixdrE3caViLViRnYDcy"
            - name: "DRONE_WEBHOOK_SECRET"
              value: "G7Sxnkj6NGqC6r2Q5yCkVcZSb77AxKLe"
            - name: "DRONE_SERVER_HOST"
              value: "drone.prod.panic.haus"
            - name: "DRONE_SERVER_PROTO"
              value: "https"
            - name: "DRONE_SERVER_PORT"
              value: ":80"
            - name: "DRONE_SERVER_BUILD_LIMIT"
              value: "6"
            - name: "DRONE_ALLOW_PRIVILEGED"
              value: "true"
            - name: "DRONE_LOGS_DEBUG"
              value: "true"
            - name: "DRONE_USER_CREATE"
              value: "username:bea,admin:true"
          volumeMounts:
            - mountPath: /var/lib/drone
              name: drone-lib
            - mountPath: /data
              name: drone-data
      volumes:
        - name: drone-lib
          persistentVolumeClaim:
            claimName: drone-lib-pvc
        - name: drone-data
          persistentVolumeClaim:
            claimName: drone-data-pvc
